#include "../Flow/FlowCalculator.cxx"

#include <TROOT.h>
#include <TFile.h>
#include <TH1F.h>
#include <TChain.h>

void calculateResolution(TString refMultFileName, TString outName)
{
  TChain *chain = new TChain("mctree");
  // chain->Add("/home/peter/Documents/ModelData/run*.root");
  // chain->Add("/mnt/pool/nica/6/arkadij/mcpico/phsd200gev/run1*.root");
  chain->Add("/mnt/pool/nica/6/arkadij/mcpico/phsd200charge/m200KCHrun0[0-4]*.root");

  FlowCalculator *res = new FlowCalculator(chain);
  res->RotateRP();
  res->SetRefMultHistName("hMultPHENIX");
  res->InitCentFile(refMultFileName.Data());
  res->LoopRes(outName);
}
